<template>
  <v-card class="doctor">
    <div class="avatar-block">
      <v-avatar
          color="primary"
          size="56"
      >
        <span class="white--text headline">{{ name.match(/\b\w/g).join('') }}</span>
      </v-avatar>
      <v-rating
          :value="rating"
          color="yellow darken-3"
          background-color="grey darken-1"
          empty-icon="$ratingFull"
          half-increments
          hover
          size="12"
          class="rating"
      />
    </div>
    <div class="info-block">
      <div class="block-header">
        <v-card-title class="doctor-name">{{ name }}</v-card-title>
        <div class="location">
          <v-icon>location_on</v-icon>
          <v-card-text class="text">{{ location }}</v-card-text>
        </div>
      </div>
      <div class="professional">
        <v-card-text class="text">{{ professional }}</v-card-text>
      </div>
      <div class="description">
        <v-card-text class="text">{{ shortDescription }}</v-card-text>
      </div>
    </div>
    <div class="price-block">
      <div class="price">
        <v-icon>credit_card</v-icon>
        <v-card-text class="text">${{ priceMin }}-{{ priceMax }}</v-card-text>
      </div>
      <div class="book-link">
        <a :href="`#${id}`">
          <v-card-text class="text">
            Book a consulting
          </v-card-text>
          <v-icon>keyboard_arrow_right</v-icon>
        </a>
      </div>
    </div>
  </v-card>
</template>

<style lang="scss">
.doctor {
  padding: 20px 17px;
  border-radius: 0 !important;
  display: grid !important;
  grid-template-columns: 70px 1fr 180px;
  grid-gap: 15px;
  &:not(:last-of-type) {
    margin-bottom: 15px;
  }

  .rating {
    button {
      padding: 0;
    }
  }

  .info-block {
    .block-header {
      display: flex;
      align-items: center;
      .doctor-name {
        padding: 0;
        font-size: 14px;
        font-weight: 600;
        margin-right: 20px;
      }

      .location {
        display: flex;
        color: #7b28c5;

        i {
          color: #7b28c5;
        }
        .text {
          padding: 0;
          font-size: 12px;
        }
      }
    }
    .professional {
      .text {
        padding: 0;
        font-size: 12px;
        font-weight: 600;
      }
    }
    .description {
      .text {
        padding: 0;
        font-size: 12px;
      }
    }
  }

  &:not(:first-of-type) {
    .description .text {
      height: 20px;
      width: 100%;
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: pre;
      max-width: 405px;
    }
  }

  .price-block {
    font-weight: 600;

    .price {
      display: flex;
      align-items: center;

      i {
        color: #7b28c5;
        margin-right: 10px;
      }

      .text {
        padding: 0;
        color: #000000;
        font-weight: 600;
      }
    }

    .book-link {
      margin-right: 20px;
      a {
        display: flex;
        align-items: center;
        text-transform: none;
        text-decoration: none;
        color: #7b28c5;

        .text {
          padding: 0;
          font-weight: 600;
        }

        i {
          color: #7b28c5;
        }
      }
    }
  }
}
</style>
<script>
export default {
  props: {
    id: Number,
    avatar: String,
    rating: Number,
    name: String,
    location: String,
    professional: String,
    shortDescription: String,
    priceMin: Number,
    priceMax: Number,
  }
}
</script>
